Skip to content

Place a single loan on cover

POST
/credit-life/policies/{policyId}/loans/single

Mid-term addition. Behaves exactly like the batch endpoint with one row.

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Path Parameters

policyId*
Type
string
Required

Request Body

application/json
JSON
{
  
"fullName": "string",
  
"nrcNumber": "string",
  
"dateOfBirth": "string",
  
"amount": 0,
  
"startDate": "string",
  
"endDate": "string",
  
"partnerLoanReference": "string",
  
"interestRate": 0
}

Responses

A one-row Addition batch, otherwise identical to the batch endpoint.

application/json
JSON
{
  
"id": "string",
  
"number": "string",
  
"status": "string",
  
"type": "string",
  
"totalLoans": 0,
  
"loanAmount": 0,
  
"netPremium": 0,
  
"levy": 0,
  
"grossPremium": 0,
  
"amountReceipted": 0,
  
"outstandingPremium": 0,
  
"currency": "string",
  
"createdAt": "string",
  
"loans": [
  
  
{
  
  
  
"id": "string",
  
  
  
"clientName": "string",
  
  
  
"nrcNumber": "string",
  
  
  
"amount": 0,
  
  
  
"coveredAmount": 0,
  
  
  
"premiumRate": 0,
  
  
  
"netPremium": 0,
  
  
  
"levy": 0,
  
  
  
"grossPremium": 0,
  
  
  
"status": "string",
  
  
  
"startDate": "string",
  
  
  
"endDate": "string",
  
  
  
"partnerLoanReference": "string",
  
  
  
"interestRate": 0
  
  
}
  
],
  
"skipped": [
  
  
{
  
  
  
"nrcNumber": "string",
  
  
  
"partnerLoanReference": "string",
  
  
  
"existingLoanId": 0
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Built with ❤️ by Hobbiton Technologies